UPDATE 06-09-2008 (v4.0.0)
MappingOut is back with its companion GW:EN!
Sorry for being so lazy in the last year. I've been... delayed! 
This is the first update containing the Eye of the North extension. It's still uncomplete, since all stuff related to dungeon is missing.
Well, let's stop chittering and have a look at the new version.
Since a new campaign has been added and we reached the number of four campaigns I decided to rise the version number to 4.0.0 (as udoh suggested me, long time ago).

major updates
- added pets informations: locations, images, levels of all charmable pets.
- removed options tab and added a menu conatinaining old options and something more (by udoh)
- added GW:EN maps (save dungeons').
- added GW:EN elites (save dungeons').
- added GW:EN greens (save dungeons').
- added GW:EN pets (save dungeons').

minor updates
- added conditional spawn to "Shekoss the Stony" in "Joko's Domain" (by Gatzu)
- fixed position of Boss Ssaresh Ratler in factions (by Gatzu)
- fixed a bug in the elite filter by boss name.
- fixed "Shiverpeaks" name, wrongly listed before. (by udoh)
- fixed statistics of Savannah Heat, wrongly listed (OutlawFMA)
- fixed description for "Elemental's Construct" in Sunjiang District (By Zander)
- changed Elonian Treasure system. Now, you can select the date on which you last opened that treasure. (by udoh)
- changed locations textes displayed in elite locations list. Now the zone is shown for first.

---------------------------------------------------------------------------------------------------------------------
PREVIOUS UPDATES
---------------------------------------------------------------------------------------------------------------------


---------------------------------------------------------------------------------------------------------------------
19-08-2007 (v3.1.1)

minor updates
- SORRY! Last version was bugged. An error occurred chosing a Nightfall zone. Now it's fixed. (by hangerlc)


---------------------------------------------------------------------------------------------------------------------
18-08-2007 (v3.1.0)

major updates
- applied all changes made by ArenaNet in the last skill balance update (16th august 2007)
- added explorable zones, towns, outposts, missions and challenge missions texts manually. You will now see all outposts, missions and towns icons grayed.
- changed all maps, using fully explored maps taken from the minimap (U) (following Leeta's advice)
- added new credits section to the loading screen of mappingout and added a "credits" button to the option tab

minor updates
- added a note to "Lou, of the Knives", signaling its spawning behaviour (By Udoh)
- added position for some missing bosses (still missing 2 ones: Executioner Vekil (during "Pogahn Passage Mission") and Rebirther Jirath (only during "A Tasty Morsel" quest))
- added bosses Dupek the Mighty, Hauseh the Defiler, Tanmahk the Arcane to Nightfall Desolation (by Diago)
- added unique green item "Charr Salvage Kit" in "Pre-Searing Ascalon" (by nbajammer)
- added unique green bow "Bearer's Longbow", dropped by "Bearer of Misfortune" in "Domain of Pain" (by nbajammer)
- added a new feature: double click on elite list to set an elite as marked (by Comandante Gatzu)
- fixed boss "Ryver Mossplanter" conditional spawn information (by Patrik)
- fixed stats of "Illyana's Staff" (by nbajammer)
- fixed "Crippling Anthem" elite name, previously listed wrongly.
- fixed locations of the two collectors in "Vehjin Mines" (by Zav)
- fixed a large number of zones name. Now, all of them should be correct (maybe)
- fixed stats for the low level green "Hassin's Shell" dropped by "Hassin Softskin" (by outlaw)
- fixed position of "Baubao Wavewrath" in the "Undercity" (by Grims)

translation updates
- changed following files: EliteLocations.txt, CollectorsLocation.txt, Trasures.txt. All Zones' name have been replaced with zones' id, taken from the file "Zones.txt"

coming soon
- features that we are planning to add to mappingout, including hard mode support:
    vanquished zones support
    master rewards checklist 


---------------------------------------------------------------------------------------------------------------------
30-07-2007 (v3.0.4)

minor updates
Thanks to everyone for your contributions in correcting errors and giving suggestions.
- changed the map of "Real of Torment". Old map has been substitued with Graywing's one, showing all paths to reach each zone. I've ever lost myself, trying to find out the right entrance to a particular zone... so that, here's an help!!
- added location of the boss "Curator Kali", during "Gate of Madness" mission
- added location of the boss "Champion Puran", during "Gate of Madness" mission
- added all unique green items dropped in "Domain of Anguish"


---------------------------------------------------------------------------------------------------------------------
08-07-2007 (v3.0.3)
Thanks to everyone for your contributions in correcting errors and giving suggestions.

minor updates
- added Varis collectors to Fort Ranik. Before it was only present in Regent Valley (Sabardeyn)
- added conditional informations for Jin, The Purifier (by Thomas)
- added filter by Boss Name for elite list
- fixed all collectors: where two collectors with the same name were shown, one has been added with an addictional caption, with more information to identify the right one
- fixed information of Pehnsed's Voice. Nightfall green (by Tim)
- fixed position of all five bosses in Depth of Madness (by Fulvio)
- fixed green "The 'Windcutter'" showing (Req. 5 Axe Mastery) instead of (Req. 5 Sword Mastery) (by Mythykle Mythryndyr[Fs])
- updated all elites changed in the last ArenaNet update (19th June 2007)


---------------------------------------------------------------------------------------------------------------------
13-05-2007 (v3.0.2)
As you could see in the major update section, "www.mappingout.com" is close to born (actually it's most 'far' than 'close' but I like being optimistic :D)

major updates
- applied all changes made by ArenaNet in the last skill balance update (10th april 2007)
- applied all changes made by ArenaNet in the last skill balance update (5th april 2007)
- added another site for the download process. A friend of mine is currently occuipied in creating an official site for MappingOut... It's still on going, but something has been added. So, if you wanna have a look, here it is: www.mappingout.com

minor updates
- added the collectors Molenin and Makar Thoughtslayer into the Sorrow's Furnace (by Anjaris One)
- added the boss "Haioss, Blessed Wind" in "Fahranur, The First City", with its green "Haioss' Blessing" (By Gene)
- fixed the name of the nightfall elite "Crippling Slash", it had been wrongly typed (by Jasper)
- fixed the spawining information of "Olunoss Windwalker", there was a typing error in the note (by Udoh)
- fixed all missing informations about bosses and elites in Ice Floe (Southern Shivepeaks, Prophecies) (By  Per Ivar Vangstad)
- changed the elìte owned by Hahan, Faithful Protector. Now it shows "Word of Healing" (by Lyonette & apocalisse)


---------------------------------------------------------------------------------------------------------------------
28-03-2007 (v3.0.1)

minor updates
- added the boss "Yammirvu, Ether Guardian" in "The Hidden City of Ahdashim" and its green scepter "Yammirvu's Scepter" (by Mylady Akira & Toniodestroy)
- added the boss "Preceptor Zunark" in Vehjin Mines with the elite "Spell Breaker" (by Jasper)
- added the boss "Evirso Sectus" in Mineral Springs. He owns the elite "Wither" and can be found only during "Defend Droknar's Forge" quest
- added the boss "Eshau Longspear" during the quest "Hunted!" with the elite "Cruel Spear" (By Catty)
- added the boss "Custodian Fidius" during "Dune of Despair" mission
- fixed the name of the boss owning "Backbreaker" in the Ring Of Fire. It was listed as Coventina instead of his real name "Ferk Mallet" (by hangerlc)
- fixed the collector Dai Waeng in Zin Ku Corridor (by sykoone)
- fixed the height of the characters dropdown window
- fixed the stats of "Scourgewind's Branch". they were typed in wrong
- applied all changes made by ArenaNet in the last skill balance update (8th march 2007)
- added "Ogre-Slaying Knife" green weapon, dropped by the Darknesses in the "Ruins of the Tomb of the Primeval Kings" (by Mike)


---------------------------------------------------------------------------------------------------------------------
22-02-2007 (v3.0.0)

major updates
- added missing maps for Tyria (Ascalon pre-searing, Ascalon post-searing, Northern Shiverpeaks, Kryta, Maguuma)
- added missing map for Cantha (Shing Jea Island)
- added 3 green weapons, located in Tyria's new maps: Totem Axe, Forgotten Fan and Rotwing Recurve Bow
- added "Charr Bag" green item, in Pre-searing Ascalon
- added all low level green items on Shing Jea Island
- added missing elite skils in Maguuma and Ascalon (during Titans' quests)
- added all missing collectors to Shing Jea Island (Cantha)
- added all missing collectors to Istan
- added all missing collectors to Ascalon (pre and post-searing), Southern shivepeaks, Kryta and Maguuma
- added a new filter in collectors schedule. Now you can choose if showing all collectors, low level or high level ones

minor updates
- fixed language for "Zone" text in main menu. Forgot to load the text from the language file
- changed the position of the links in the options menu
- fixed right click behaviour, when automatic rollover popup display is selected
- fixed an error in an object owned by Vabbi Trade Official 2
- added "Vizunah Square (Foreign Quarter)" to "Kaineng City" map


---------------------------------------------------------------------------------------------------------------------
14-02-2007 (v2.0.1) - minor update
- added Secondary Profession filter, in the elite schedule (by udoh)
- fixed elite and locations list. Now they always have the same dimensions. It means locations list is quite bigger than before (by Feathermoore Rep)

- changed logos in the option schedule... now, they shouldn't make you get blind anymore!
- fixed image for "Song of Purification", "Smoke Trap" and "Scavenger's focus" elite skills (by Abe)
- fixed some minor bugs


---------------------------------------------------------------------------------------------------------------------
10-02-2007 (v2.0.0)
- added another option: always on top feature (by Kaolla)
- added another option in Mouse behaviour. You can now just right click on an item and the popup window will stay opened, till you click again somewhere else. (by Madoran, Kaolla)
- added another option in Mouse behaviour. Right click on a free map zone to show a popup window, in which you can select the campaign and the region.
- added "Lightbringer Signet" and "Junundu Siege" elites
- added an alternative ftp servers in the updater. "The Lair" (official italian fansite) now hosts MappingOut... Thanks :)
- applied all changes made by ArenaNet in the last huge skills balance updates (1st feb and 9th feb 2007)

- fixed the name of the elite "Spoil Victor" (by H B)
- added link to "The Lair" and my guild forum in the option schedule.
- fixed popup window position when map size is small
- the "Mark" button in the treasure window is now called "Done"
- fixed position of Jerneh Nightbringer in "The Floodplain of Mahnkelon". and deleted Jerneh's spawning position in Marga Coast.
- fixed location for "Shekoss the Stony" (by FusionU)
- added some missing translations
- fixed the position of the Treasure in "Ruptured Heart" (by Mournblade)
- fixed the name of "Realm of Torment" region. Previously named "Real of Torment" (by Akaraxle)
- fixed some nightfall collectors: Lahati, Gamyuka, Nikun, Talmehinu, Munashe (by TuShan)


---------------------------------------------------------------------------------------------------------------------
04-02-2007 (v1.9.0)
- adjusted position and request of the collector Poti (by udoh)
- added the possibilty to track elonian treasures capturing status (by RodyPA, Kaolla)
- replaced "Migraine" skill with the correct "Stolen speed" in Jade Sea (by Siegfried Nimbelungun)
- added elite skill "Energy Surge" to The Darknesses in the Ruins of Tomb of Primeval Kings (by Siegfried Nimbelungun)
- fixed "Tomb of the Primeval Kings" green staff, with 20% skill recharge time (by sykoone)
- Churrta the Rock now shows the quest info on the map and into description popup window (by udoh)
- correct "Unyielding Aura" skill name... previous listed without a "i" :(
- added locations for Kaia Wupwup in Talus Chute, with "Unyielding Aura" elite skill (by Siegfried Nimbelungun)
- added the green staff "Woe Spreader" to "Xiriss Stickleback" in the Archipelagos (by Myote)
- added another location for "Shadow Form" in Sunjiang District (Explorable) (by Myote)
- Ritualist Spawning Staff, owned by Dye master Franjeck in Maatu keep, is now shown as a two-handed weapon and no longer as a one-handed one (by Udoh)
- added an "Options schedule", containing informations and a few customizable features
- ripped off the "Quit button" at the botton of the menu window. The reason is simple: we gain space for the lists :D. Moreover, since I moved the other buttons in the "Options" schedule, the "Quit button" told me it felt very lonely. By the way, every time I want to close the program, I move my mouse cursor to the left-bottom side of the window, as I used to do before the "Quit button" abandoned us.
- replaced the lackness left by the "Quit button" departure with a "x" button on the right-top of the menu window (just a duplicate of the one already presents on the map window)
- added the possibilty to choose if right click on an object is necessary or not (by Fallen Eagle)
  Moreover, the mouse behaviour changed like this:
  - left click on map to move it
  - double click on map to create a new note
  - double click on an object on the map (elite, treasure, note) to manage it


---------------------------------------------------------------------------------------------------------------------
30-01-2007
- fixed the name of "Crippling shot", previously saved as "Clipping..." (by Snograt)
- fixed a bug introduced with the last update... some collectors name were no longer visible -.-
- added the green item Vera (hammer) dropped by Jayne Forestlight in Echovald Forest (are you wondering how I could forget such a famous item... well I don't really know :( )


---------------------------------------------------------------------------------------------------------------------
29-01-2007
- added missing collectors (in factions e nightfall I had omissed quartermasters, secret keepers and someone else :))
- added 4 more elite during "A Lanf of heros" quest, in Nightfall on Istan Island (udoh)
- fixed a problem with stats of a boss with greens, after the visualization of a boss with no greens
- fixed a bug concerning stats visualization. the program displayed object stats, even if it should be excluded by filters (by udoh)


---------------------------------------------------------------------------------------------------------------------
28-01-2007 - Update v1.8
- Added personal notes. Everybody can now insert their own annotations to the maps
- When you hover over a square, the information pop-up of the skill etc is automatic. Right click is no longer needed (by udoh)
- fixed wrong locations of "Shield of Judgement" (by udoh)
- added the internet update functions!
- fixed collector's material request. Now it shows also the quantity.
- if "Elites" check is not selected, it no longer displays the elite stats in the information window
- made it possible to see greens on the map, without showing also the elite skills (by firefoxx666)
- fixed the error caused by lower screen resolution (by Thargor, Dirty Savage & Lothlorian Sassun)
- moved the legend on another windows, so that it no longer takes up a lot of primary window
- fixed the modify/delete bug int the character list (by KiyaKoreena)
- Added the number of items listed to every lists (Elites, Collectors, Greens) 
- Added into legend the description for non-boss and boss with no elite
- added another location where "You're All Alone" can be found (by Bithor the Dog)
- fixed the elite skill name of "Avatar of Dwayna" (by Heretic Fire)
- fixed the stats of "Ravaging Daggers" dropped by "Ravager of Dreams" in Depths of Madness
- Added Razakel boss position in Domain of Secrets, and its own elite Corrupt Enchantment
- Updated stats for unique green item: Amiresh's Piety (thanks to Khonan [GdT])


---------------------------------------------------------------------------------------------------------------------
OLD UPDATED (still in italian!)
---------------------------------------------------------------------------------------------------------------------
14-01-2007 - Update v1.7
- Aggiunti gli oggetti verdi per le 3 campagne, che compaiono nella relativa schermata dell'elite del boss selezionato.
- Aggiunti filtri per gli oggetti verdi.
- Sistemata l'errore nella finestra delle informazioni (ma nessuna l'avrà mai aperta!! :D )
- Corrette le posizioni di alcune elite
- Corretti i nomi di alcune Location
- Aggiunti una striscetta verde sotto il segnaposto dell'elite, se il boss in questione droppa verde
- Quando si effettua un doppio click su una elite, se nel menu principale è selezionato un personaggio, questo personaggio viene selezionato anche nella lista della finestra di cattura. (gatzu's request :D )
- Corrette le note per il boss Moa'vu'Kaal (Issnur Island, Nightfall)
- Aggiunta la posizione per catturare l'elite (dervish) "Onslaught", da "Onslaught of Terror" in "Nightfallen Jahai"
- Modificata leggermente la grafica della legenda.


---------------------------------------------------------------------------------------------------------------------
11-01-2007 - Upadate v1.6
- Corretto un bug di visualizzazione sul tempo di ricarica. Non visualizzava i tempi di ricarica frazionari.
- Aggiustato il posizionamento dei testi nella finestra delle carattertiche dell'elite.
- Aggiornate tutte le elite di Nightfall con le caratteristiche e le immagini


---------------------------------------------------------------------------------------------------------------------
09-01-2007 - Upadate v1.5
- Modificata la grafica della finestra dei collezionisti. Adesso evidenzia in colore più chiaro gli oggetti che soddisfano i criteri di ricerca.
- Eliminata la casella di testo SEARCH nei collezionisti
- Aggiunta una nuova casella di testo: ADDITIONAL FEATURE. In cui è possibile specificare una caratteristica aggiuntiva per l'oggetto che si sta ricercando. 
- Aggiunto filtro sul tipo di arma: Off-Hand, One-Handed, Two-Handed
- Aggiunto filtro sul materiale richiesto dai collezionisti
- Il filtro della Professione agisce anche sui collezionisti
- Aggiunto filtro per Attributo della professione, per i collezionisti e per le elite. NOTA: per quanto riguarda le elite, per il momento funziona solo con le elite del CORE e di PROPHECIES


---------------------------------------------------------------------------------------------------------------------
07-01-2007 - Upadate v1.4
- Il programma si ricorda l'ultima posizione e dimensione utilizzata dalle finestre
- Aggiunta la gestione dei collezionisti
- Ridisegnata la finestra con le informazioni sull'elite, con ulteriori informazioni, l'immagine dell'elite stessa ed una grafica più bella :D. Per il momento, solamente per le elite di prophecies e del core
- Raffinemento del codice
- Aggiornati i pacchetti di tutte e tre le campagne. Per poter vedere i collezionisti, è necessario riscaricare tutti i file zip. Avrei potuto aggiungere uno zip di aggiornamento, ma non ne avevo voglia :D :D :D


---------------------------------------------------------------------------------------------------------------------
29-12-2006 - Update v1.3
- Ridimensionato il combo di selezione per le professioni e le zone. Adesso mostrano tutti gli elementi, senza barra di scorrimento
- Corretti numerosissimi BUGS!
- Corretti alcuni errori nella visualizzazione del cursore del mouse
- Aggiornata la finestra di informazioni sull'elite. Adesso si ridimensiona in base alle lunghezza delle note inserite.


---------------------------------------------------------------------------------------------------------------------
25-12-2006 - Update v1.2
- Il programma memorizza le ultime opzioni scelte nel menu e le carica ad ogni avvio.
- Aggiunto filtro sulla professione nella schermata di gestione del personaggio
- Ingrandita la dimensione della lista delle posizioni delle elite
- Aggiunta la possibilità di nascondere la legenda
- Aggiunta possibilità di nascondere le elìte sulla mappa, per vedere meglio i percorsi
- Modificati i cursori del programma con l'aspetto di quelli di GW
- Aggiornata la grafica della finestra informazioni
- Aggiunto il filtro per zona (ES: Snake Dance, Dunes of Despairs)
- Creata una cartella "Personal" in cui sono stati spostati tutti i files personali: i personaggi, le elite catturate.


---------------------------------------------------------------------------------------------------------------------
22-12-2006 - Update v1.1
- Aumentata la dimensione dei segnaposto per le elite
- Resa lampeggiante la selezione dell'elìte nella mappa (come suggerito dal Comandante Gatzu)
- Corretti errori di visualizzazione nel caso di impostazione dei caratteri in windows non standard
- Sistemate le tabulazioni in tutti i form